Bug 573804 - /etc/init.d/slapd: restart doesn't start slapd if the service is currently stopped
Summary: /etc/init.d/slapd: restart doesn't start slapd if the service is currently st...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-15 20:21 UTC by Andrew McNabb
Modified: 2010-07-14 22:55 UTC (History)
2 users (show)

Fixed In Version: openldap-2.4.19-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 01:30:17 UTC
Type: ---


Attachments (Terms of Use)

Description Andrew McNabb 2010-03-15 20:21:41 UTC
As far as I can tell, most (all) other services follow this convention with respect to "restart":

1) Try to stop the service.  If this works, print "[  OK  ]", otherwise print "[FAILED]".

2) Try to start the service.  If this works, print "[  OK  ]", otherwise print "[FAILED]".

However, "/etc/init.d/slapd restart" will quit silently if slapd is already stopped.  This is unintuitive and inconsistent with other Fedora services.  Fortunately, fixing this simply involves removing the line "status -p $pidfile ${slapd} > /dev/null 2>&1 || exit 7" from the restart case and the line "status -p $pidfile ${slapd} > /dev/null 2>&1 || exit 0" from the condrestart case.

Comment 1 Fedora Update System 2010-03-16 15:11:47 UTC
openldap-2.4.21-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openldap-2.4.21-5.fc13

Comment 2 Fedora Update System 2010-03-17 13:05:49 UTC
openldap-2.4.19-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/openldap-2.4.19-4.fc12

Comment 3 Fedora Update System 2010-03-18 03:24:56 UTC
openldap-2.4.21-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openldap-2.4.21-5.fc13

Comment 4 Fedora Update System 2010-03-20 03:43:48 UTC
openldap-2.4.19-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/openldap-2.4.19-4.fc12

Comment 5 Fedora Update System 2010-04-09 01:30:05 UTC
openldap-2.4.19-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Mohammad Mateen 2010-04-09 20:12:52 UTC
The bug still exists and i am unable to start slapd after upgrade

Comment 7 Mohammad Mateen 2010-04-09 20:34:07 UTC
ah' my db was got currupt, slapd is working fine now.

Comment 8 Fedora Update System 2010-06-30 17:36:18 UTC
openldap-2.4.21-8.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/openldap-2.4.21-8.fc13

Comment 9 Fedora Update System 2010-07-14 22:55:12 UTC
openldap-2.4.21-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.